Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
nowhiskeyOffline
Post subject: packages to be removed on d-u  PostPosted: 16.07.2011, 16:25



Joined: 2010-10-09
Posts: 14

Status: Offline
hi all,
i tried to do an d-u today, but there are some packages which than will be removed, so i ll better wait. perhaps someone has an idea:

      Code:
Die folgenden Pakete werden ENTFERNT:
  libdirectfb-dev libimlib2-dev libjpeg62-dev libmng-dev libntfs-3g75 libntfs-3g804 libsane-dev libsdl-image1.2-dev libsdl1.2-dev libtiff4-dev
Die folgenden NEUEN Pakete werden installiert:
  libevince3 libjaxp1.3-java libjpeg8 libmatroska4 libmhash2 libmozjs5d libpoppler-glib6 libpoppler13 libsigsegv2 libxalan2-java libxerces2-java
  linux-headers-2.6.39-3.slh.1-aptosid-686 linux-image-2.6.39-3.slh.1-aptosid-686 xulrunner-5.0
Die folgenden Pakete sind zurückgehalten worden:
  libgmp10 libgmpxx4ldbl
Die folgenden Pakete werden aktualisiert (Upgrade):
  acl apt apt-utils aptosid-art-xfce aptosid-art-xfce-apate aptosid-art-xsplash-apate base-passwd binutils ca-certificates cdbs cmake cmake-curses-gui cmake-data
  comerr-dev cpp cpp-4.6 cups cups-bsd cups-client cups-common cups-ppdc dbus dbus-x11 dialog distro-defaults e2fslibs e2fsprogs evince-common evince-gtk feh
  firmware-ipw2x00 firmware-linux-nonfree fll-iso2usb fontconfig fontconfig-config fuse fuse-utils g++ g++-4.6 gawk gcc gcc-4.6 gcc-4.6-base gfxboot-theme-aptosid
  gfxboot-themes-aptosid-2010-03-apate-core ghostscript ghostscript-cups ghostscript-x gimp gir1.2-atk-1.0 gir1.2-gdkpixbuf-2.0 gnome-icon-theme grep gs-common gzip
  hpijs hplip hplip-cups hplip-data iceweasel iceweasel-l10n-de initscripts iproute iptables iso-codes jfsutils k9copy klibc-utils libacl1 libatk1.0-0 libatk1.0-data
  libatk1.0-dev libattr1 libavahi-client-dev libavahi-client3 libavahi-common-data libavahi-common-dev libavahi-common3 libavahi-glib-dev libavahi-glib1 libc-bin
  libc-dev-bin libc6 libc6-dev libc6-i686 libcap2 libcap2-bin libcomerr2 libcups2 libcups2-dev libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1 libcupsppdc1
  libcurl3 libcurl3-gnutls libcurl4-gnutls-dev libcurses-ui-perl libcv2.1 libcvaux2.1 libdb4.8 libdb5.1 libdb5.1-dev libdbus-1-3 libdbus-1-dev libdbus-glib-1-2
  libdbus-glib-1-dev libdigest-sha1-perl libebml-dev libebml3 libelfg0 libflac++-dev libflac++6 libflac-dev libflac8 libfontconfig1 libfontconfig1-dev libfuse2
  libgail-common libgail-dev libgail18 libgcc1 libgdbm3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-dev libgfortran3 libggiwmh0 libggiwmh0-dev libgimp2.0 libgmerlin0 libgomp1
  libgs9 libgs9-common libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtk2.0-dev libgudev-1.0-0 libhighgui2.1 libhpmud0 libisofs6
  libjasper1 libjpeg62 libjs-jquery libjson-glib-1.0-0 libkeyutils1 libklibc libkpathsea5 liblivemedia-dev liblqr-1-0 liblucene2-java liblzo2-2 liblzo2-dev
  libmatroska-dev libmozjs-dev libmozjs2d libmpfr-dev libmpfr4 libmysqlclient-dev libmysqlclient16 libneon27-gnutls libnl1 libnss3-1d libnss3-dev libpcap0.8 libperl-dev
  libperl5.12 libpixman-1-0 libpixman-1-dev libpng12-0 libpng12-dev libpng3 libpoppler-qt4-3 libppl-c4 libppl9 libpulse-browse0 libpulse-dev libpulse-mainloop-glib0
  libpulse0 libpwl5 libpython2.6 libqt4-assistant libqt4-dbus libqt4-declarative libqt4-designer libqt4-dev libqt4-help libqt4-network libqt4-opengl libqt4-opengl-dev
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4
  libqtgui4 libquadmath0 libquicktime-dev libquicktime2 librasqal3 librasqal3-dev libreadline5 libreoffice-base libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-filter-mobiledev libreoffice-impress libreoffice-java-common libreoffice-math libreoffice-officebean
  libreoffice-style-galaxy libreoffice-writer libsane-hpaio libsdl-image1.2 libservlet2.5-java libsoup-gnome2.4-1 libsoup2.4-1 libsqlite3-0 libsqlite3-dev libss2
  libstdc++6 libstdc++6-4.6-dev libtext-iconv-perl libtracker-client-0.8-0 libts-0.0-0 libudev-dev libudev0 libupnp3 libupnp3-dev libupower-glib1 libusb-1.0-0 libv4l-0
  libv4l-dev libvlc5 libvlccore4 libvte-common libvte9 libx86-1 libxcursor-dev libxcursor1 libxfce4ui-1-0 libxmlrpc-core-c3 libxrandr-dev libxrandr2 libzbar0
  linux-headers-2.6-aptosid-686 linux-headers-aptosid-686 linux-image-2.6-aptosid-686 linux-image-aptosid-686 linux-libc-dev locales mixxx mixxx-data module-assistant
  multiarch-support mysql-common nbd-client net-tools nmap ntfs-3g perl perl-base perl-modules poppler-utils python python-dev python-gobject python-gobject-dev
  python-gst0.10 python-httplib2 python-imaging python-minimal python-support python2.6 python2.6-dev python2.6-minimal qjackctl qt4-linguist-tools qt4-qmake
  quicktime-utils quicktime-x11utils resolvconf rsyslog scons sooperlooper squashfs-tools syslinux syslinux-common sysv-rc sysvinit sysvinit-utils tsconf ttf-liberation
  ttf-opensymbol tzdata tzdata-java udev udisks uno-libs3 unzip ure virtualbox-guest-utils virtualbox-ose-guest-utils vlc vlc-nox x11-session-utils x11-utils
  x11-xserver-utils x11proto-composite-dev x11proto-dri2-dev x11proto-gl-dev x11proto-randr-dev x11proto-render-dev x11proto-xinerama-dev xchat xchat-common
  xfce-keyboard-shortcuts xfce4-datetime-plugin xfonts-utils xjadeo xpdf xserver-common xserver-xorg-core xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xulrunner-1.9.1 xulrunner-dev yoshimi yoshimi-data


cheers,
doc

p.s. by the way, the 2 packages which are on hold are because of this issue:

http://www.aptosid.com/index.php?name=P ... amp;t=1094
 
 View user's profile Send private message  
Reply with quote Back to top
DonKultOffline
Post subject: RE: packages to be removed on d-u  PostPosted: 16.07.2011, 16:40
Team Member


Joined: 2010-09-02
Posts: 481

Status: Offline
If you are not a developer and/or build packages by hand you don't need *-dev packages, so if you don't know why you have them installed you can let them go without any problems.

libntfs-3g75 libntfs-3g804 are replaced by newer versions with a different name or something like that, at least that is what i remember from an older thread.

Regarding your 2 hold packages: Remove the hold as far as i can see in your post it effects only *-dev packages as well and if they aren't meant to be go to nirvana they would have been updated to cope with the new version already…

_________________
MfG. DonKult
"I never make stupid mistakes. Only very, very clever ones." ~ The Doctor
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
nowhiskeyOffline
Post subject:   PostPosted: 16.07.2011, 17:03



Joined: 2010-10-09
Posts: 14

Status: Offline
hi,
thanks for the suggestions, but if you read my older post, you will see that i need these -dev packages in order to build ardour3 almost daily for testing.

back to this topic, i tried to find out what is causing the newer removals by clicking one-by-one in synaptic, and this is what i found out:

      Code:
root@murija5:/home/nowhiskey/Desktop# apt-get install libjpeg62
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  libsdl-image1.2
Die folgenden Pakete werden ENTFERNT:
  libdirectfb-dev libimlib2-dev libjpeg62-dev libmng-dev libsane-dev libsdl-image1.2-dev libsdl1.2-dev libtiff4-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  libjpeg62 libsdl-image1.2
2 aktualisiert, 0 neu installiert, 8 zu entfernen und 342 nicht aktualisiert.


...than:

      Code:
root@murija5:/home/nowhiskey/Desktop# apt-get install libjpeg62-dev
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  libjpeg62 libsdl-image1.2
Die folgenden Pakete werden ENTFERNT:
  libdirectfb-dev libimlib2-dev libsane-dev libsdl-image1.2-dev libsdl1.2-dev libtiff4-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  libjpeg62 libjpeg62-dev libsdl-image1.2
3 aktualisiert, 0 neu installiert, 6 zu entfernen und 342 nicht aktualisiert.



...and:

      Code:
root@murija5:/home/nowhiskey/Desktop# apt-get install ntfs-3g
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Die folgenden Pakete werden ENTFERNT:
  libntfs-3g75 libntfs-3g804
Die folgenden Pakete werden aktualisiert (Upgrade):
  ntfs-3g
1 aktualisiert, 0 neu installiert, 2 zu entfernen und 345 nicht aktualisiert.


so, if i put this 3 packages on hold, everything would go ok:



      Code:
Die folgenden NEUEN Pakete werden installiert:
  libevince3 libjaxp1.3-java libjpeg8 libmatroska4 libmhash2 libmozjs5d libpoppler-glib6 libpoppler13 libsigsegv2 libxalan2-java libxerces2-java
  linux-headers-2.6.39-3.slh.1-aptosid-686 linux-image-2.6.39-3.slh.1-aptosid-686 xulrunner-5.0
Die folgenden Pakete sind zurückgehalten worden:
  libgmp10 libgmpxx4ldbl libjpeg62 libjpeg62-dev ntfs-3g
Die folgenden Pakete werden aktualisiert (Upgrade):
  acl apt apt-utils aptosid-art-xfce aptosid-art-xfce-apate aptosid-art-xsplash-apate base-passwd binutils ca-certificates cdbs cmake cmake-curses-gui cmake-data
  comerr-dev cpp cpp-4.6 cups cups-bsd cups-client cups-common cups-ppdc dbus dbus-x11 dialog distro-defaults e2fslibs e2fsprogs evince-common evince-gtk feh
  firmware-ipw2x00 firmware-linux-nonfree fll-iso2usb fontconfig fontconfig-config fuse fuse-utils g++ g++-4.6 gawk gcc gcc-4.6 gcc-4.6-base gfxboot-theme-aptosid
  gfxboot-themes-aptosid-2010-03-apate-core ghostscript ghostscript-cups ghostscript-x gimp gir1.2-atk-1.0 gir1.2-gdkpixbuf-2.0 gnome-icon-theme grep gs-common gzip
  hpijs hplip hplip-cups hplip-data iceweasel iceweasel-l10n-de initscripts iproute iptables iso-codes jfsutils k9copy klibc-utils libacl1 libatk1.0-0 libatk1.0-data
  libatk1.0-dev libattr1 libavahi-client-dev libavahi-client3 libavahi-common-data libavahi-common-dev libavahi-common3 libavahi-glib-dev libavahi-glib1 libc-bin
  libc-dev-bin libc6 libc6-dev libc6-i686 libcap2 libcap2-bin libcomerr2 libcups2 libcups2-dev libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1 libcupsppdc1
  libcurl3 libcurl3-gnutls libcurl4-gnutls-dev libcurses-ui-perl libcv2.1 libcvaux2.1 libdb4.8 libdb5.1 libdb5.1-dev libdbus-1-3 libdbus-1-dev libdbus-glib-1-2
  libdbus-glib-1-dev libdigest-sha1-perl libebml-dev libebml3 libelfg0 libflac++-dev libflac++6 libflac-dev libflac8 libfontconfig1 libfontconfig1-dev libfuse2
  libgail-common libgail-dev libgail18 libgcc1 libgdbm3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-dev libgfortran3 libggiwmh0 libggiwmh0-dev libgimp2.0 libgmerlin0 libgomp1
  libgs9 libgs9-common libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtk2.0-dev libgudev-1.0-0 libhighgui2.1 libhpmud0 libisofs6
  libjasper1 libjs-jquery libjson-glib-1.0-0 libkeyutils1 libklibc libkpathsea5 liblivemedia-dev liblqr-1-0 liblucene2-java liblzo2-2 liblzo2-dev libmatroska-dev
  libmozjs-dev libmozjs2d libmpfr-dev libmpfr4 libmysqlclient-dev libmysqlclient16 libneon27-gnutls libnl1 libnss3-1d libnss3-dev libpcap0.8 libperl-dev libperl5.12
  libpixman-1-0 libpixman-1-dev libpng12-0 libpng12-dev libpng3 libpoppler-qt4-3 libppl-c4 libppl9 libpulse-browse0 libpulse-dev libpulse-mainloop-glib0 libpulse0
  libpwl5 libpython2.6 libqt4-assistant libqt4-dbus libqt4-declarative libqt4-designer libqt4-dev libqt4-help libqt4-network libqt4-opengl libqt4-opengl-dev
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4
  libqtgui4 libquadmath0 libquicktime-dev libquicktime2 librasqal3 librasqal3-dev libreadline5 libreoffice-base libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-filter-mobiledev libreoffice-impress libreoffice-java-common libreoffice-math libreoffice-officebean
  libreoffice-style-galaxy libreoffice-writer libsane-hpaio libsdl-image1.2 libsdl-image1.2-dev libservlet2.5-java libsoup-gnome2.4-1 libsoup2.4-1 libsqlite3-0
  libsqlite3-dev libss2 libstdc++6 libstdc++6-4.6-dev libtext-iconv-perl libtracker-client-0.8-0 libts-0.0-0 libudev-dev libudev0 libupnp3 libupnp3-dev libupower-glib1
  libusb-1.0-0 libv4l-0 libv4l-dev libvlc5 libvlccore4 libvte-common libvte9 libx86-1 libxcursor-dev libxcursor1 libxfce4ui-1-0 libxmlrpc-core-c3 libxrandr-dev
  libxrandr2 libzbar0 linux-headers-2.6-aptosid-686 linux-headers-aptosid-686 linux-image-2.6-aptosid-686 linux-image-aptosid-686 linux-libc-dev locales mixxx
  mixxx-data module-assistant multiarch-support mysql-common nbd-client net-tools nmap perl perl-base perl-modules poppler-utils python python-dev python-gobject
  python-gobject-dev python-gst0.10 python-httplib2 python-imaging python-minimal python-support python2.6 python2.6-dev python2.6-minimal qjackctl qt4-linguist-tools
  qt4-qmake quicktime-utils quicktime-x11utils resolvconf rsyslog scons sooperlooper squashfs-tools syslinux syslinux-common sysv-rc sysvinit sysvinit-utils tsconf
  ttf-liberation ttf-opensymbol tzdata tzdata-java udev udisks uno-libs3 unzip ure virtualbox-guest-utils virtualbox-ose-guest-utils vlc vlc-nox x11-session-utils
  x11-utils x11-xserver-utils x11proto-composite-dev x11proto-dri2-dev x11proto-gl-dev x11proto-randr-dev x11proto-render-dev x11proto-xinerama-dev xchat xchat-common
  xfce-keyboard-shortcuts xfce4-datetime-plugin xfonts-utils xjadeo xpdf xserver-common xserver-xorg-core xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xulrunner-1.9.1 xulrunner-dev yoshimi yoshimi-data
341 aktualisiert, 14 neu installiert, 0 zu entfernen und 5 nicht aktualisiert.


so when i look at all this again you might be right, at least for the libjpeg and ntfs-3g stuff.


i ll wait a little bit for other suggestions and than i ll see.


cheers,
doc
 
 View user's profile Send private message  
Reply with quote Back to top
Ilinsekt
Post subject:   PostPosted: 16.07.2011, 17:57



Joined: 2010-10-29
Posts: 43

The newest version of libjpeg62-dev does not provide libjpeg-dev anymore, that's why libsane-dev and libtiff4-dev are going to be removed. You can let libjpeg62-dev go, just install libjpeg8-dev and reinstall libsane-dev and libtiff4-dev. The libntfs-3g stuff has been folded into the main ntfs-3g package, so that's also safe to unhold.
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio